]> scripts.mit.edu Git - wizard.git/blobdiff - tests/all.sh
Add CRLF/LF/CR merge resolution algoritm of AWESOME.
[wizard.git] / tests / all.sh
index 5f5dfe602aecc6ac7f025a49f4f0c0260f3c755d..964e559e61937605e2cf9388728dc2fa2e4a532b 100755 (executable)
@@ -1,9 +1,15 @@
-#!/bin/sh
+#!/bin/bash
+cd `dirname $0`
 bold="`tput -T${TERM:-dumb} bold`"
 red="`tput -T${TERM:-dumb} setf 4`"
 sgr0="`tput -T${TERM:-dumb} sgr0`"
-for i in test-*.sh; do
-    ./$i "$1"
+APP="$1"
+if [ "$APP" == "" ]; then
+    echo "Must specify application"
+    exit 1
+fi
+for i in $1-*-test.sh; do
+    ./$i "$2"
     if [ $? -eq 0 ]
     then
         echo "${bold}OK${sgr0}"